Package wx :: Package lib :: Package agw :: Module labelbook :: Class FlatImageBook

[frames | no frames]

## Type FlatImageBook

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                  FlatBookBase --+
                                 |
                                FlatImageBook

Default implementation of the image book, it is like a wx.Notebook, except that images are used to control the different pages. This container is usually used for configuration dialogs etc. Currently, this control works properly for images of 32x32 and bigger.

Method Summary
| ``__init__`(self, parent, id, pos, size, style, name)` Default class constructor.
| `CreateImageContainer(self)`

Property Summary

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=0, name='FlatImageBook')
(Constructor)

Default class constructor.

Parameters: @param parent - parent window @param id - Window id @param pos - Window position @param size - Window size @param style - possible style INB_XXX

  Overrides:
    `wx.lib.agw.labelbook.FlatBookBase.__init__`

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:54:36 2009 | http://epydoc.sf.net